package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: ModuleDimensionResult
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/10
 */
public class ModuleDimensionResult implements Serializable {

    @ApiModelProperty(value = "模块名称")
    private String moduleName;

    @ApiModelProperty(value = "dioList")
    private List<DimensionInfoResult> dioList;

    @ApiModelProperty(value = "batterThanAll")
    private List<DimensionInfoResult> batterThanAll;

    @ApiModelProperty(value = "worseThanAll")
    private List<DimensionInfoResult> worseThanAll;

    public ModuleDimensionResult() {

    }

    public ModuleDimensionResult(String moduleName, List<DimensionInfoResult> dioList, List<DimensionInfoResult> batterThanAll, List<DimensionInfoResult> worseThanAll) {
        this.moduleName = moduleName;
        this.dioList = dioList;
        this.batterThanAll = batterThanAll;
        this.worseThanAll = worseThanAll;
    }

    public String getModuleName() {
        return moduleName;
    }

    public void setModuleName(String moduleName) {
        this.moduleName = moduleName;
    }

    public List<DimensionInfoResult> getDioList() {
        return dioList;
    }

    public void setDioList(List<DimensionInfoResult> dioList) {
        this.dioList = dioList;
    }

    public List<DimensionInfoResult> getBatterThanAll() {
        return batterThanAll;
    }

    public void setBatterThanAll(List<DimensionInfoResult> batterThanAll) {
        this.batterThanAll = batterThanAll;
    }

    public List<DimensionInfoResult> getWorseThanAll() {
        return worseThanAll;
    }

    public void setWorseThanAll(List<DimensionInfoResult> worseThanAll) {
        this.worseThanAll = worseThanAll;
    }
}
